<?php namespace WeCodeArt\Customizer\Configs;
// No direct access, please.
if ( ! defined( 'ABSPATH' ) ) exit;
// Use
use WeCodeArt\Customizer\Config as Config; 

/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	WP-Customizer Config
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		v3.5
 * @version		v3.5
 */

/**
 * Customizer Config Overrides
 */
class Overrides extends Config {
	/**
	 * Register Site Layout Customizer Configurations.
	 * @param 	Array                $configurations 
	 * @param 	WP_Customize_Manager $wp_customize instance of WP_Customize_Manager.
	 * @since 	3.5
	 * @return 	Array 
	 */
	public function register( $configurations, $wp_customize ) {  
		$_configs = array(
			array(
				'name'			=> 'page_for_404',
				'type' 			=> 'control',
				'control'  		=> 'dropdown-pages',
				'section'		=> 'static_front_page',
				'capability'	=> 'edit_theme_options',
				'title' 		=> __( 'Page for 404', 'wecodeart' ),
				'description' 	=> __( 'Select your custom page that will show on 404 error.', 'wecodeart' ),
				'priority' 		=> 50,
				'transport'		=> 'postMessage',
				'sanitize_callback' 	=> 'absint',
				'sanitize_js_callback' 	=> 'absint'
			) 
		);

		return array_merge( $configurations, $_configs );
	}
}
