<?php namespace WeCodeArt\Support\WooCommerce;
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;
// Use
use WeCodeArt\Utilities\Helpers as Helpers;
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	Support\WooCommerce\Callbacks
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		v3.5
 * @version		v3.6.2
 */

class Callbacks {
	use \WeCodeArt\Singleton;  

	/**
	 * Checks if the current page is a product archive
	 * @since	v2.2
	 * @version	v3.5
	 */
	public static function _is_woocommerce_archive() {
		if ( Helpers::detectplugin( [ 'classes' => [ 'woocommerce' ] ] ) ) {
			if ( is_post_type_archive( 'product' ) || is_product_taxonomy() || is_product_category() || is_product_tag() ) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}

	/**
	 * Check any page that WooCommerce is active on
	 * @since	v2.0
	 */
	public static function _is_woocommerce_page() {
		if ( Helpers::detectplugin( [ 'classes' => [ 'woocommerce' ] ] ) ) {
			if ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}
}